﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using History;
using NUnit.Framework;
using NMock2;

namespace HistoryTest
{
    [TestFixture]
    public class HistoryPresenterTest
    {
        [Test]  
        public void Constructor()  
        {  
            var lMockery = new Mockery();  

            var lView = lMockery.NewMock<IHistoryView>();  
            var lModel = lMockery.NewMock<IHistoryModel>();  

            Expect.Once.On( lModel ).EventAdd( "MessageLogged",
                new Action<string>( lView.UpdateHistory ) );  

            new HistoryPresenter( lModel, lView );  

            lMockery.VerifyAllExpectationsHaveBeenMet();  
        }  
    }
}
